Transactions
Update Transaction Type
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
type*integer
Type ID
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/transactions/types/1" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "name": "name", "caption": "name", "options": {}, "class": "class", "enabled": true}{ "error": { "message": "Bad Request", "code": 0, "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Not Found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}